# DataExchange
TKIGES
IGESGraph

# IGESGraph_NominalSize Class Reference

defines IGESNominalSize, Type <406> Form <13>
in package IGESGraph

`#include <IGESGraph_NominalSize.hxx>`

Inheritance diagram for IGESGraph_NominalSize:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGraph_NominalSize ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Real aNominalSizeValue, const Handle(TCollection_HAsciiString)&aNominalSizeName, const Handle(TCollection_HAsciiString)&aStandardName)
| This method is used to set the fields of the class NominalSize - nbProps : Number of property values (2 or 3) - aNominalSizeValue : NominalSize Value - aNominalSizeName : NominalSize Name - aStandardName : Name of relevant engineering standard .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>
Standard_EXPORT Standard_Real | NominalSizeValue () const
| returns the value of <me>
Standard_EXPORT Handle_TCollection_HAsciiString | NominalSizeName () const
| returns the name of <me>
Standard_EXPORT Standard_Boolean | HasStandardName () const
| returns True if an engineering Standard is defined for <me> else, returns False
Standard_EXPORT Handle_TCollection_HAsciiString | StandardName () const
| returns the name of the relevant engineering standard of <me>
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Real | theNominalSizeValue
Handle_TCollection_HAsciiString | theNominalSizeName
Handle_TCollection_HAsciiString | theStandardName

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_NominalSize::IGESGraph_NominalSize | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESGraph_NominalSize::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESGraph_NominalSize::HasStandardName | ( |  | ) | const

Standard_EXPORT void IGESGraph_NominalSize::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Real | aNominalSizeValue,
|  | const Handle(TCollection_HAsciiString)& | aNominalSizeName,
|  | const Handle(TCollection_HAsciiString)& | aStandardName
| ) |

Standard_EXPORT Standard_Integer IGESGraph_NominalSize::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESGraph_NominalSize::NominalSizeName | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGraph_NominalSize::NominalSizeValue | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESGraph_NominalSize::StandardName | ( |  | ) | const

## Field Documentation

Standard_Integer IGESGraph_NominalSize::theNbPropertyValues `[private]`

Handle_TCollection_HAsciiString IGESGraph_NominalSize::theNominalSizeName `[private]`

Standard_Real IGESGraph_NominalSize::theNominalSizeValue `[private]`

Handle_TCollection_HAsciiString IGESGraph_NominalSize::theStandardName `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_NominalSize.hxx